Subject: bug#26233: 26.0.50; [PATCH] Improve documentation for display-buffer-alist

From: Jens Lechtenboerger <[email-masked]>
Date: Sat, 25 Mar 2017 18:14:39 +0100

On 2017-03-25, at 18:57, Eli Zaretskii wrote:

>> From: Jens Lechtenboerger <[email-masked]>
>> Cc: <[email-masked]>,  <[email-masked]>
>> Date: Sat, 25 Mar 2017 15:58:51 +0100
>> 
>> > Those variables were obsoleted in Emacs 24.3, which was released 4
>> > years ago.  Isn't it too late to strongly object now to their
>> > deprecation?  That ship sailed long ago.
>> 
>> I see it this way: The departure of that ship was announced long
>> ago, for those knowing where to look; however, it did not sail yet.
>> I've got several settings for special-display variables in my init
>> file (predating 24.3, I don't know since when).  They still work
>> today, and they work without any user visible warning.
>
> AFAIU, you describe how deprecated variables work.

Yes, I just extended bug#5742.

> The complaint was about announcing the departure, not about the
> departure itself (which didn't yet happen).  "the ship" I alluded
> to was the announcement.

I see.  Given bug#5742 I'm not surprised that there have been only
few objections.

Best wishes
Jens